flutter环境配置详解及开发第一个项目

flutter环境配置的具体步骤如下:

1). 下载flutter

2).下载后的文件解压,放在你想指定的目录下(我以放在桌面为例)

3).配置环境变量

1vim ~/.bash_profile 2

输入后,出现上图界面,则表明已经存在,我们直接点击大写字母Q退出就OK!

4).export PATH=路径/bin:$PATH

1export PATH=/Users/zj/Desktop/flutter/bin:$PATH //以我的桌面路径为例 2

5).运行命令

1source ~/.bash_profile 2

6).运行flutter命令

1flutter -h 2

上述步骤结束,环境配置就完成了,下面就是检查环境是否有问题!

1flutter doctor 2

输入完成后,看到如下图界面:

 

有上述问题:需要安装Android Studio 和IOS需要安装的一些依赖,根据官网完成两个平台设置步骤中的至少一个,就能够构建并运行您的第一个Flutter应用程序,作为IOS开发,只要安装IOS上的依赖

1brew install --HEAD libimobiledevice 2brew install ideviceinstaller 3brew install ios-deploy 4

根据上述提示需要安装:

1pip install six或sudo easy_install six 2

再次运行doctor

1flutter doctor 2

现在IOS上的依赖都完成了,我们就开始创建一个Flutter项目。

1).进入你想存放项目的目录,以桌面上的文件夹为例  

1flutter create testapp 2

testapp是定义的项目名称,不能用大写。

2).按照上图提:

1cd testapp 2flutter run 3

如果用模拟器或真机打开过,则会显示如上图所示机型,这个时候再执行命令行flutter run -d 手机id 等待一段时间后便会在你模拟器上运行项目 

1flutter run -d 7FA62016-8ADE-4BFA-A4EF-D1D4789B8A6D 2

在满怀期待中,竟然报错了如下错误: 

这是因为每次跟新xcode后,对应的插件却没有跟新,找到 Xcode 插件所在的目录
回到Mac桌面,快捷键 cmd + shift + g 将下面的粘贴进去,跳到插件目录

1~/Library/Application Support/Developer/Shared/Xcode/Plug-ins 2

 选择插件RTImageAssets.xcplugin,显示包内容,打开info.plist,在plist文件中找到DVTPlugInCompatibilityUUIDs, 点击加号, 添加上图所示的D7881182-AD00-4C36-A94D-F45FC9B0CF85,保存,重新启动xcode。

我们有三种方式打开项目:

1).

1flutter run -d 7FA62016-8ADE-4BFA-A4EF-D1D4789B8A6D 2

2).找到项目,打开Run.xcworkspace

正常打开项目一样,用真机或者模拟器!

最后的打开界面为:

 

注:如果用模拟器报如下图所示错误:

这是因为xcode10,解决方案为:

Xcode菜单栏选择File-- Workspace Setting,把new build system(Defalt)切换到 Legacy Build System 在模拟器上运行就OK!

 

 

 

 

 

代码交流 2021